var path = require("path");
const webpack = require("webpack");
const minimist = require("minimist");
const args = minimist(process.argv.slice(2));
let env = "dev";
switch (args.env) {
	case "sit":
		env = "sit";
		break;
	case "uat":
		env = "uat";
		break;
	case "pro":
		env = "pro";
		break;
	default:
		env = "dev";
		break;
}
module.exports = {
	lintOnSave: false, // 处理ESLint 的 error 提示
	devServer: {
		host: "localhost", // 0.0.0.0
		port: 8080,
		open: true, // 自动打开浏览器
		inline: true,
		// proxy:{   // 反向代理

		// }
	},
	publicPath: ".", // 项目上线打包   打包启用
	configureWebpack: {
		resolve: {
			alias: {
				// 别名
				vue$: "vue/dist/vue.esm.js",
				"@": path.resolve(__dirname, "./src"),
			},
		},
		plugins: [
			new webpack.DefinePlugin({
				"process.env": require(`./config/${env}.config`),
			}),
		],
	},
};
